> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-governance/workflows/workflow-states.md).

# Workflow states

You can add or update workflow states through [Settings](/reference/settings.md) > [Data governance](/reference/settings/data-governance.md) > [Workflows](/reference/settings/data-governance/workflows.md) > [Workflow states](/reference/settings/data-governance/workflows/workflow-states.md).

### View workflow states

Workflow states can be viewed directly under "Workflow states" when editing or creating a workflow.

### Add new workflow state

1. Click "+ Add"
2. Set Alias, Label, Color and [Workflow state transition(s)](/reference/settings/data-governance/workflows/workflow-states/workflow-state-transitions.md)
3. Click "Update state"

### Edit workflow state

1. Click "Edit"-icon
2. Modify Alias, Label, Color or [Workflow state transition(s)](/reference/settings/data-governance/workflows/workflow-states/workflow-state-transitions.md)
3. Click "Update state"

### Delete workflow state

1. Click "Delete"-icon
2. Confirm deletion

### Set workflow state as default

Click "Set as default"-icon

{% hint style="warning" %}
Note: Remember to save the workflow after making changes to workflow states. Otherwise changes made will not persist.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/settings/data-governance/workflows/workflow-states.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
